Skip to main content

POST token

POST 

/token

Request the bearer token that every other request needs.

The operations of the shopapi/v3 require a bearer token to access the data. For each client a separate username and password can be requested which in turn can be used to request a bearer token for accessing the endpoints. The same bearer token will grant access to all shopapi/v3 endpoints and older, but only to the information of the client it belongs to. and need to be provided to the Token operation. This operation will return a token string which needs to be provided in the header of each request.

tip

It is not required to request a tokens for each and every API call. It is recommended to store the token until it expires. Be aware that a token can potentially be invalidated before it actually expires in case of intrusion detection. If this happens requests will return a 401 Unauthorized error and a new token must be requested.

Request​

Responses​

A successful authorization response has the token and expiration date (expires) among other useful values.